Skip to main content
GET
/
events
/
{id}
/
shifts
/
{shift_id}
Get Shift
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/events/{id}/shifts/{shift_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "event_id": "<string>",
  "custom_name": "<string>",
  "start_time": "<string>",
  "end_time": "<string>",
  "skillsets": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "quantity": 123,
  "filled": 123,
  "alternate_quantity": 123,
  "alternate_filled": 123,
  "comments": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Event ID

shift_id
string
required

Shift ID

Query Parameters

shift_id
string

Response

OK

id
string
event_id
string
custom_name
string
start_time
string
end_time
string
skillsets
object[]
quantity
number
filled
number
alternate_quantity
number
alternate_filled
number
comments
string